agenttools
Webhooks

Delete a captured event

No auth required
DELETE/api/webhooks/{id}/events/{eventId}

Parameters

Path
idstringrequired
The webhook endpoint ID (`wh_…`).
eventIdstringrequired
The webhook event ID (`wev_…`).

Responses

204The event was deleted.
401No valid API key was provided.
errorobject
type"invalid_request_error" | "authentication_error" | "authorization_error" | "not_found_error" | "rate_limit_error" | "api_error"
codestring
Machine-readable error code.
messagestring
Human-readable error message.
paramstring | null
The offending parameter, when applicable.
403The caller is authenticated but lacks access to the resource.
errorobject
type"invalid_request_error" | "authentication_error" | "authorization_error" | "not_found_error" | "rate_limit_error" | "api_error"
codestring
Machine-readable error code.
messagestring
Human-readable error message.
paramstring | null
The offending parameter, when applicable.
404The resource does not exist or is not visible to the caller.
errorobject
type"invalid_request_error" | "authentication_error" | "authorization_error" | "not_found_error" | "rate_limit_error" | "api_error"
codestring
Machine-readable error code.
messagestring
Human-readable error message.
paramstring | null
The offending parameter, when applicable.

Example request

curl
curl -X DELETE https://agtls.dev/api/webhooks/{id}/events/{eventId}